
Redmine - Feature #22758

Make text formatting of commit messages optional

2016-05-07 09:40 - Jean-Philippe Lang

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed   

Description

Add an option to display commit messages without text formatting (eg.Textile) applied. In this case, messages would be rendered as

preformatted text, with Redmine links support.

Related issues:

Related to Redmine - Defect #22694: Associated revision content is not escaped Closed

Related to Redmine - Defect #22695: Revision content message is not escaped Closed

Related to Redmine - Feature #24065: Commit message shouldn't be rendered by ... Closed

Related to Redmine - Defect #24604: Typo: s/changset-comments/changeset-comme... Closed

Related to Redmine - Defect #10967: Commit messages/comments should not conve... Closed

Has duplicate Redmine - Feature #4875: Option to disable textile on commit me... Closed 2010-02-18

Associated revisions

Revision 16062 - 2016-12-12 22:19 - Jean-Philippe Lang

Adds a setting to enable/disable formatting of commit messages (#22758).

Revision 16063 - 2016-12-12 22:20 - Jean-Philippe Lang

Adds :setting_commit_logs_formatting i18n string (#22758).

Revision 16091 - 2016-12-18 10:35 - Jean-Philippe Lang

Typo: s/changset-comments/changeset-comments/ (#22758, #24604).

History

#1 - 2016-05-07 09:42 - Jean-Philippe Lang

- Related to Defect #22694: Associated revision content is not escaped added

#2 - 2016-05-07 09:43 - Jean-Philippe Lang

- Related to Defect #22695: Revision content message is not escaped added

#3 - 2016-11-17 03:37 - Toshi MARUYAMA

- Related to Feature #24065: Commit message shouldn't be rendered by Markdown or Textile added

#4 - 2016-12-18 09:35 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

#5 - 2016-12-18 10:35 - Jean-Philippe Lang

- Related to Defect #24604: Typo: s/changset-comments/changeset-comments/ added

#6 - 2016-12-24 04:33 - Go MAEDA

- Related to Defect #10967: Commit messages/comments should not convert subscripts to footnote references added

#7 - 2017-02-05 09:47 - Go MAEDA
- Has duplicate Feature #4875: Option to disable textile on commit messages added
